org.apache.fop.fonts

## Interface FontCacheManager

    public interface FontCacheManager

Fop cache (currently only used for font info caching)

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `delete()` Deletes the font cache from the file-system.
`FontCache` `load()` Loads the font cache into memory from the given file.
`void` `save()` Serializes the font cache to file.
`void` `setCacheFile(URI fontCacheURI)` Sets the font cache file given the URI pointing to the file.

### Method Detail

#### setCacheFile

    void setCacheFile(URI fontCacheURI)

Sets the font cache file given the URI pointing to the file.

Parameters:
  `fontCacheURI` - the font cache URI

#### load

    FontCache load()

Loads the font cache into memory from the given file.

Returns:
  the de-serialized font cache

#### save

    void save()
       throws FOPException

Serializes the font cache to file.

Throws:
  `FOPException` - if an error occurs serializing the font cache

#### delete

    void delete()
         throws FOPException

Deletes the font cache from the file-system.

Throws:
  `FOPException` - if an error occurs deleting the font cache